<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) XXXX-2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="unix_x">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>unix_x</refname>
    <refpurpose>shell (sh) command execution, output
  redirected to a window</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>unix_x(cmd)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>cmd</term>
        <listitem>
          <para>a character string</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>Sends a string <literal>cmd</literal> to Unix for execution by the sh shell.
    The standard output is redirected to a window. Unix execution errors are
    trapped; *NOTE* that only the last shell command error is reported when a
    list of command separated by ";" is sent: this is not recommended.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
if MSDOS then 
  unix_x("dir "+""""+WSCI+"modules\graphics\demos"+""""); 
else 
  unix_x("ls $SCI/modules/graphics/demos");
end
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="edit">edit</link>
      </member>
      <member>
        <link linkend="manedit">manedit</link>
      </member>
      <member>
        <link linkend="unix_g">unix_g</link>
      </member>
      <member>
        <link linkend="unix_s">unix_s</link>
      </member>
      <member>
        <link linkend="unix_w">unix_w</link>
      </member>
      <member>
        <link linkend="unix">unix</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
